<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <kind>
      common_env
  </kind>

  <init_code>
      $[ldap_create];
  </init_code>

  <global_code>
      #include <ldap.h>
  </global_code>
  
  <associating>
    <except>
        ldap_create
    </except>
  </associating>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      struct timeval
  </data_type>

  <value>
      {0, 100}
  </value>

  <global_code>
      #include <ldap.h>
      struct timeval {
        int tv_sec;
        int tv_usec;
      };
  </global_code>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      LDAP_RES_ANY
  </value>
  
  <associating>
    <interfaces>
        ldap_result
    </interfaces>
    <links>
        param2
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      LDAP_MSG_ONE
  </value>
  
  <associating>
    <interfaces>
        ldap_result
    </interfaces>
    <links>
        param3
    </links>
  </associating>
</spec_type>