<?xml version="1.0" encoding="utf-8"?>
<collection>

<spec_type>
  <lib_version>
    >=3.6.0
  </lib_version>

  <kind>
    common_env
  </kind>

  <init_code>
    sqlite3_initialize();
  </init_code>

  <final_code>
    sqlite3_shutdown();
  </final_code>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const*
  </data_type>

  <value>
    "main"
  </value>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param2
    </links>
  </associating>

  <associating>
    <interfaces>
      sqlite3_backup_init
    </interfaces>
    
    <links>
      param2
      param4
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    int
  </data_type>

  <value>
    -1
  </value>

  <associating>
    <interfaces>
      sqlite3_prepare
    </interfaces>
    
    <links>
      param3
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const*
  </data_type>

  <value>
    "CREATE TABLE customer (First_Name char(50), Last_Name char(50), Birth_Date date);"
  </value>

  <associating>
    <interfaces>
      sqlite3_prepare
      sqlite3_get_table
    </interfaces>
    
    <links>
      param2
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const**
  </data_type>

  <value>
    0
  </value>

  <associating>
    <interfaces>
      sqlite3_prepare
    </interfaces>
    
    <links>
      param5
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const**
  </data_type>

  <value>
    0
  </value>

  <init_code>
    sqlite3_get_table($(sqlite3*), $(const char*), &$0, 0, 0, 0);
  </init_code>

  <associating>
    <interfaces>
      sqlite3_free_table
    </interfaces>
    
    <links>
      param1
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const*
  </data_type>

  <value>
    0
  </value>

  <associating>
    <interfaces>
      sqlite3_vfs_find
    </interfaces>
    
    <links>
      param1
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const*
  </data_type>

  <value>
    "customer"
  </value>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param3
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    char const*
  </data_type>

  <value>
    "Name"
  </value>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param4
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    int
  </data_type>

  <value>
    1
  </value>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param6
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    sqlite3_int64
  </data_type>

  <value>
    1
  </value>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param5
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
    normal
  </kind>

  <data_type>
    sqlite3_blob*
  </data_type>

  <init_code>
    $[sqlite3_prepare];
  </init_code>

  <associating>
    <interfaces>
      sqlite3_blob_open
    </interfaces>
    
    <links>
      param1
    </links>
  </associating>
</spec_type>

</collection>