<?xml version="1.0" encoding="utf-8"?>
<collection>

<spec_type>
  <kind>
      common_env
  </kind>

  <init_code>
      $[gtk_init];
  </init_code>
  
  <associating>
      <except>
        gtk_init
      </except>
  </associating>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GtkWindow*
  </data_type>

  <value>
      $[gtk_window_new]
  </value>

  <global_code>
      #include <gtk/gtk.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GtkContainer*
  </data_type>

  <value>
      $[gtk_vbox_new]
  </value>

  <global_code>
      #include <gtk/gtk.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GObject*
  </data_type>

  <value>
      g_object_new(G_TYPE_OBJECT, NULL)
  </value>

  <global_code>
      #include <glib.h>
  </global_code>
</spec_type>

</collection>
